@charset "utf-8";
/* CSS Document */
.chat{
	display:none;
}
.chat .col-md-2, .col-md-10{
    padding:0;
}
.chat .panel{
    margin-bottom: 0px;
}
.chat .panel-body{
	padding:0;
}
.chat .chat-window{
    bottom:0;
    position:fixed;
	right:0;
    float:right;
    margin-left:10px;
	z-index:2;
	max-width: 370px;
}
.chat .chat-window > div > .panel{
    border-radius: 5px 5px 0 0;
}
.chat .icon_minim{
}
.chat .msg_container_base{
  background: #e5e5e5;
  margin: 0;
  padding: 0 10px 10px;
  max-height:300px;
  overflow-x:hidden;
  padding:15px;
  position:relative;
}
.chat .compose{
	padding:15px;
	background: whitesmoke;
}
.chat .btn{
	background-color: #2a93de;
    border-color: #2a93de;
	min-width: auto !important;
}
.chat .top-bar {
  background: #2a93de;
  color: white;
  padding: 10px 0;
  position: relative;
  overflow: hidden;
}
.chat .panel-title{
	text-align:left
}
.chat .top-bar a{
	color:white;
	opacity:.8;
}
.chat .top-bar a:hover{
	opacity:1;
}
.chat .msg_receive{
    padding-left:0;
    margin-left:0;
}
.chat .msg_sent{
    padding-bottom:20px !important;
    margin-right:0;
}
.chat .messages {
  background: white;
  padding: 10px;
  border-radius: 2px;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
  max-width:100%;
}
.chat .messages > p {
    font-size: 13px;
    margin: 0 0 0.2rem 0;
  }
.chat .messages > time {
    font-size: 11px;
    color: #ccc;
}
.chat .msg_container {
    padding: 10px;
    overflow: hidden;
    display: flex;
}
.chat img {
    display: block;
    width: 100%;
}
.chat .avatar {
    position: relative;
}
.chat .base_receive > .avatar:after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 0;
    height: 0;
    border: 5px solid #FFF;
    border-left-color: rgba(0, 0, 0, 0);
    border-bottom-color: rgba(0, 0, 0, 0);
}

.chat .base_sent {
  justify-content: flex-end;
  align-items: flex-end;
}
.chat .base_sent > .avatar:after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 0;
    border: 5px solid white;
    border-right-color: transparent;
    border-top-color: transparent;
    box-shadow: 1px 1px 2px rgba(black, 0.2); // not quite perfect but close
}

.chat .msg_sent > time{
    float: right;
}



.chat .msg_container_base::-webkit-scrollbar-track
{
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    background-color: #F5F5F5;
}

.chat .msg_container_base::-webkit-scrollbar
{
    width: 12px;
    background-color: #F5F5F5;
}

.chat .msg_container_base::-webkit-scrollbar-thumb
{
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: #555;
}

.chat .btn-group.dropup{
    position:fixed;
    left:0px;
    bottom:0;
}
.chat .panel{
	border-color:#2a93de;
}
.chat .newMessageArrow{
	position: absolute;
	top:70%;
	left:50%;
	transform: translate(-50%, -50%);
	z-index:2;
	-webkit-box-shadow: 0px 0px 5px -1px rgba(0,0,0,0.92);
	-moz-box-shadow: 0px 0px 5px -1px rgba(0,0,0,0.92);
	box-shadow: 0px 0px 5px -1px rgba(0,0,0,0.92);
	font-size: 11px;
    padding: 5px;
    border-radius: 5px;
    opacity: .9;
    cursor: pointer;
    color: white;
    background: rgba(161, 107, 184, 0.9);
}
.chat .control-buttons{
	font-size:12px;
	position: relative;
    margin: 0 2px;
    top: -5px;
}
.chat .skype_button{
	margin-right: 5px;
    border-radius: 50%;
    position: relative;
	margin-right:15px;
}
.chat .skype_button img{
	top: -2px;
    vertical-align: -20px;
    position: relative;
	max-width: 16px;
}
.chat .newMessageArrow:hover{
	opacity:1;
}
.chat-window .panel-title{
	font-size:13px;
	font-weight:400;
	margin: 6px 0;
}